Name:           avant-window-navigator
Version:        0.1.1
Release:        4%{?dist}
Summary:        Fully customisable dock-like window navigator for GNOME

Group:          User Interface/Desktops
License:        GPL
URL:            http://code.google.com/p/avant-window-navigator/
Source0:        http://avant-window-navigator.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libwnck-devel, pygtk2-devel, GConf2-devel
BuildRequires:  gnome-common, startup-notification-devel
BuildRequires:  gettext, intltool
BuildRequires:  desktop-file-utils

Requires:       gnome-python2-gconf
Requires(pre):  GConf2
Requires(post): GConf2
Requires(preun): GConf2

%description
Avant Window Navgator (Awn) is a dock-like bar which sits at the bottom of 
the screen (in all its composited-goodness) tracking open windows.

%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

desktop-file-install --vendor fedora --delete-original  \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications   \
        --remove-category Application \
        $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :
fi

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/gconf/schemas/avant-window-navigator.schemas
%{_datadir}/applications/*
%{_datadir}/avant-window-navigator


%changelog
* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 0.1.1-4
- Rebuild for selinux ppc32 issue.

* Tue Jun 05 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.1.1-3
- Own %%{_datadir}/avant-window-navigator
* Tue Jun 05 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.1.1-2
- Add missing BRs
- Fix gconf scriplets
* Thu May 01 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.1.1-1
- Initial build
